

	varying vec3 normal;



	uniform sampler2D Texture0;
	
	void main()
	{


vec4 color  ;


vec4 mask=texture2D(Texture0,gl_TexCoord[0].st) ;




vec3 n = normalize(normal);
color.r=0.6;
color.g=0.6;
color.b=0.3;
color.a=1.0;

color.rgb *= mask.rgb*pow(n.z,5.0);


gl_FragColor = color;
	}